Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
termBases
/
searchByJob
Search job's term bases
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "count": 123,
  "offset": 123,
  "reverse": true
}
'
{
  "searchResults": [
    {
      "conceptId": "<string>",
      "translationTerms": [
        {
          "text": "<string>",
          "id": "<string>",
          "lang": "<string>",
          "rtl": true,
          "modifiedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z",
          "modifiedBy": {
            "firstName": "<string>",
            "lastName": "<string>",
            "userName": "<string>",
            "email": "<string>",
            "role": "SYS_ADMIN",
            "id": "<string>",
            "uid": "<string>"
          },
          "createdBy": {
            "firstName": "<string>",
            "lastName": "<string>",
            "userName": "<string>",
            "email": "<string>",
            "role": "SYS_ADMIN",
            "id": "<string>",
            "uid": "<string>"
          },
          "caseSensitive": true,
          "exactMatch": true,
          "forbidden": true,
          "preferred": true,
          "status": "New",
          "conceptId": "<string>",
          "usage": "<string>",
          "note": "<string>",
          "writable": true,
          "shortTranslation": "<string>",
          "termType": "<string>",
          "partOfSpeech": "<string>",
          "gender": "<string>",
          "number": "<string>",
          "definition": "<string>",
          "domain": "<string>",
          "subDomains": [
            "<string>"
          ],
          "url": "<string>",
          "conceptNote": "<string>"
        }
      ]
    }
  ]
}

Path Parameters

jobUid
string
required
projectUid
string
required

Body

application/json
query
string
required
count
integer<int32>

Default: 15

offset
integer<int32>

Default: 0

reverse
boolean

Default: false

Response

successful operation

searchResults
object[]